org.keycloak.services.resources.admin

## Class RoleResource

- java.lang.Object
- - org.keycloak.services.resources.admin.RoleResource

- Direct Known Subclasses:
    RealmRolesPartialImport.RoleHelper, RoleByIdResource, RoleContainerResource

      public abstract class RoleResource
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RealmModel` | `realm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleResource(RealmModel realm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addComposites(AdminPermissionEvaluator auth, AdminEventBuilder adminEvent, javax.ws.rs.core.UriInfo uriInfo, List<RoleRepresentation> roles, RoleModel role)`
    `protected void` | `deleteComposites(AdminEventBuilder adminEvent, javax.ws.rs.core.UriInfo uriInfo, List<RoleRepresentation> roles, RoleModel role)`
    `protected void` | `deleteRole(RoleModel role)`
    `protected Stream<RoleRepresentation>` | `getClientRoleComposites(ClientModel app, RoleModel role)`
    `protected Stream<RoleRepresentation>` | `getRealmRoleComposites(RoleModel role)`
    `protected RoleRepresentation` | `getRole(RoleModel roleModel)`
    `protected void` | `updateRole(RoleRepresentation rep, RoleModel role)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected RealmModel realm

  - ### Constructor Detail

    - #### RoleResource

          public RoleResource(RealmModel realm)

  - ### Method Detail

    - #### getRole

          protected RoleRepresentation getRole(RoleModel roleModel)

    - #### deleteRole

          protected void deleteRole(RoleModel role)

    - #### updateRole

          protected void updateRole(RoleRepresentation rep,
                                    RoleModel role)

    - #### addComposites

          protected void addComposites(AdminPermissionEvaluator auth,
                                       AdminEventBuilder adminEvent,
                                       javax.ws.rs.core.UriInfo uriInfo,
                                       List<RoleRepresentation> roles,
                                       RoleModel role)

    - #### getRealmRoleComposites

          protected Stream<RoleRepresentation> getRealmRoleComposites(RoleModel role)

    - #### getClientRoleComposites

          protected Stream<RoleRepresentation> getClientRoleComposites(ClientModel app,
                                                                       RoleModel role)

    - #### deleteComposites

          protected void deleteComposites(AdminEventBuilder adminEvent,
                                          javax.ws.rs.core.UriInfo uriInfo,
                                          List<RoleRepresentation> roles,
                                          RoleModel role)

Copyright © 2021 JBoss by Red Hat. All rights reserved.